/*
        Version 0.1
        Requires I2C-Library from Peter Fleury http://jump.to/fleury
        
*/
#include <stdlib.h>
#include <stdio.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include "I2C/i2c.h"
#include "pe.h"

unsigned char i = 0;
//-     Write data to PE-PortE
void pe_write(unsigned char value)
{
        i2c_start_wait(PEF_I2C_DEVICE);
		
        i2c_write(value);
        i2c_stop();
}

//-     Read data from PE-PortF
unsigned char pe_read(unsigned char pedata)
{
        
        i2c_start_wait(PEE_I2C_DEVICE);
        pedata = i2c_readNak();
        i2c_stop();
        return pedata;
}

void PE_test(unsigned int i,unsigned char pedata)
{
	i = i + 1;
                     
        if(i < 2)
	pedata = 0x96;	
		
	else
	pedata = 0x69;
	i = 0;	

	pe_write(pedata);
	pe_read(pedata);
}

	
		





