/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        09.11.2007
 Description:    Html Seiten

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
------------------------------------------------------------------------------*/
/**
 * \addtogroup webserver
 *
 *
 * @{
 */

/**
 * \file
 * webpage.h
 *
 *	Javascript und grafische Schaltbuttons von Andy
 *
 * \author Ulrich Radig & W.Wallucks & Andy
 */

#ifndef _WEBPAGE_H
	#define _WEBPAGE_H

//****************************************************************************
//Dateien und Webseiten am ende dieser Seite in Tabelle eintragen !!!!!!!
//****************************************************************************


//----------------------------------------------------------------------------
//Dazustellende Webseite
char name_Page1[] PROGMEM = "test.htm";
PROGMEM char Page1[] = {
	"<!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/loose.dtd\">"
	"<html><head>"
	"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\" />\r\n"

	"<title>AVR mini Webserver</title>"

	/*
	http://www.ulrichradig.de/site/forum/viewtopic.php?f=27&t=1273
	*/
	"<script type=\"text/javascript\">\r\n"
   	"function send(pin) {\r\n"
   	"var OUT = document.createElement(\"INPUT\");\r\n"
   	"OUT.type = \"hidden\";\r\n"
   	"OUT.value = pin;\r\n"
   	"OUT.name = \"OUT\";\r\n"
   	"document.getElementById(\"hide\").appendChild(OUT);\r\n"
   	"var SUB = document.createElement(\"INPUT\");\r\n"
   	"SUB.type = \"hidden\";\r\n"
   	"SUB.value = \"x\";\r\n"
   	"SUB.name = \"SUB\";\r\n"
   	"document.getElementById(\"hide\").appendChild(SUB);\r\n"
   	"document.getElementById(\"hide\").submit()\r\n"
    "}"
	"</script>\r\n"

	"<style type=\"text/css\">\r\n"

	"<!--\r\n"
	"BODY {	margin: 0 0 0 0; background-color: white; text-align:center; }"
	"P, DIV, H1, H2 {font-family: verdana, arial; font-size: 11px;}"
	"H1 {  background-color: #CCCCFF; padding-top:5px; padding-bottom:5px;"
	"font-size: 20px; color: #004060; font-weight:bold; letter-spacing: 8px;"
	"border-top: 2px solid #EEEEEE; border-left: 2px solid #EEEEEE;"
	"border-bottom: 2px solid #004060; border-right: 2px solid #004060;}"
	"H2 { font-size: 15px; padding-top: 20px; padding-left:50px; padding-right:50px;"
	"color:#004080; font-weight:bold; text-decoration:underline;"
	"border-top: 1px solid #004080;}"
	"P, H1, H2 {margin: 0px 0px 5px 0px;}\r\n"
	"-->\r\n"

	"</style></head>\r\n"

	"<body><blockquote><blockquote><blockquote>"
	"<div align=\"center\"><h1>AVR mini Webserver</h1></div><br>\r\n"
	"<h2>Zugriff auf SD-Karte hat versagt das ist die interne Webpage von Atmega644</h2><BR>\r\n"
	
	"<p>Der Webserver l&auml;uft !!! %WDAY, %DATE - %TIME</p><BR>\r\n"
	
/*/
	"<div style=\"display: none;\"><form method=\"post\" action=\"\" id=\"hide\"></form></div>\r\n"

	"<a href=\"javascript:send('A')\"><img src=\"%PORTA0\" border=\"0\"></a> Port A0 (toggle)<br>\r\n"
	"<a href=\"javascript:send('B')\"><img src=\"%PORTA1\" border=\"0\"></a> Port A1<br>\r\n"
	"<a href=\"javascript:send('C')\"><img src=\"%PORTA2\" border=\"0\"></a> Port A2<br>\r\n"

	"<form name=\"form1\" method=\"post\" action=\"\">"
	"<p align=\"left\">&nbsp;</p>"

	"<p align=\"left\">\r\n"
	//anschauen httpd.c ab Zeile 124 und 172
	//Port Schalten und Status %PORTA0 bedeutet PORTA PIN0
	"<input type=\"checkbox\" name=\"OUT\" value=\"A\" %PORTA0>"
	"<span class=\"Stil2\">Port A Pin 0</span></p>"

	"<p align=\"left\">\r\n"
	//Port Schalten und Status %PORTA1 bedeutet PORTA PIN1
	"<input type=\"checkbox\" name=\"OUT\" value=\"B\" %PORTA1>"
	"<span class=\"Stil2\">Port A Pin 1</span></p>"

	"<p align=\"left\">\r\n"
	//Port Schalten und Status %PORTA2 bedeutet PORTA PIN2
	"<input type=\"checkbox\" name=\"OUT\" value=\"C\" %PORTA2>"
	"<span class=\"Stil2\">Port A Pin 2</span></p>"
	"<div align=\"left\">\r\n"

    
	"<pre align=\"left\"><input type=\"submit\" name=\"SUB\" value=\"Senden\"></pre></form>\r\n"

	"<br><br>"
	
	//Eingnge Abfragen %PINxy x = PORT / y = PIN
	"<p><img src=\"%PIND7\" width=\"17\" height=\"17\"> Port D Pin 7</p>\r\n"
	"<p><img src=\"%PIND6\" width=\"17\" height=\"17\"> Port D Pin 6</p>\r\n"
	"<p><img src=\"%PIND5\" width=\"17\" height=\"17\"> Port D Pin 5</p>\r\n"
	
	"<br><br>"
	
	//Balkendiagramm
	"<table align=\"center\" width=\"500\" border=\"0\">"
	"<tr>\r\n"
	"<th scope=\"col\"><p align=\"center\">Eingang</p></th>"
	"<th scope=\"col\"><p align=\"center\">Balken</p></th>"
	"<th scope=\"col\"><p align=\"center\">Temperatur [&deg;C]</p></th>"
	"</tr>"
#if USE_ADC	
	"<tr>\r\n"
	"<td><p align=\"center\">AD-Kanal0</p></td>"
	"<td><img src=\"balke.gif\" width=\"%VA@00\" height=\"10\"></td>"
	"<td><p align=\"center\">%VA@00</p></td>"
	"</tr><tr>\r\n"
	"<td><p align=\"center\">AD-Kanal1</p></td>"
	"<td><img src=\"balke.gif\" width=\"%VA@01\" height=\"10\"></td>"
	"<td><p align=\"center\">%VA@01</p></td>"
	"</tr><tr>\r\n"
	"<td><p align=\"center\">AD-Kanal2</p></td>"
	"<td><img src=\"balke.gif\" width=\" %VA@02\"height=\"10\"></td>"
	"<td><p align=\"center\">%VA@02</p></td>"
	"</tr>\r\n"
	
#endif
#if USE_OW
	"<tr>"
	"<td><p align=\"center\">1-Wire Wert1</p></td>"
	"<td><img src=\"balke.gif\" width=\"%OW@00\"height=\"10\"></td>"
	"<td><p align=\"center\">%OW@20</p></td>"
	"</tr>"
	"<tr>"
	"<td><p align=\"center\">1-Wire Wert2</p></td>"
	"<td><img src=\"balke.gif\" width=\"%OW@01\"height=\"10\"></td>"
	"<td><p align=\"center\">%OW@21</p></td>"
	"</tr>"
	"<tr>"
	"<td><p align=\"center\">1-Wire Wert1</p></td>"
	"<td><img src=\"balke.gif\" width=\"%OW@02\"height=\"10\"></td>"
	"<td><p align=\"center\">%OW@22</p></td>"
	"</tr>"
	"<tr>"
	"<td><p align=\"center\">1-Wire Wert1</p></td>"
	"<td><img src=\"balke.gif\" width=\"%OW@03\"height=\"10\"></td>"
	"<td><p align=\"center\">%OW@23</p></td>"
	"</tr>"
	"<tr>"
	"<td><p align=\"center\">1-Wire Wert1</p></td>"
	"<td><img src=\"balke.gif\" width=\"%OW@04\"height=\"10\"></td>"
	"<td><p align=\"center\">%OW@24</p></td>"
	"</tr>"
	"<tr>"
	"<td><p align=\"center\">1-Wire Wert1</p></td>"
	"<td><img src=\"balke.gif\" width=\"%OW@05\"height=\"10\"></td>"
	"<td><p align=\"center\">%OW@25</p></td>"
	"</tr>"
	"<tr>"
	"<td><p align=\"center\">1-Wire Wert1</p></td>"
	"<td><img src=\"balke.gif\" width=\"%OW@06\"height=\"10\"></td>"
	"<td><p align=\"center\">%OW@26</p></td>"
	"</tr>"
	"<tr>"
	"<td><p align=\"center\">1-Wire Wert1</p></td>"
	"<td><img src=\"balke.gif\" width=\"%OW@07\"height=\"10\"></td>"
	"<td><p align=\"center\">%OW@27</p></td>"
	"</tr>"
	"<tr>"
	"<td><p align=\"center\">1-Wire Wert1</p></td>"
	"<td><img src=\"balke.gif\" width=\"%OW@08\"height=\"10\"></td>"
	"<td><p align=\"center\">%OW@28</p></td>"
	"</tr>"
	"<tr>"
	"<td><p align=\"center\">1-Wire Wert1</p></td>"
	"<td><img src=\"balke.gif\" width=\"%OW@09\"height=\"10\"></td>"
	"<td><p align=\"center\">%OW@29</p></td>"
	"</tr>"
	"<tr>"
	"<td><p align=\"center\">1-Wire Wert1</p></td>"
	"<td><img src=\"balke.gif\" width=\"%OW@10\"height=\"10\"></td>"
	"<td><p align=\"center\">%OW@30</p></td>"
	"</tr>"
	"<tr>"
	"<td><p align=\"center\">1-Wire Wert1</p></td>"
	"<td><img src=\"balke.gif\" width=\"%OW@11\"height=\"10\"></td>"
	"<td><p align=\"center\">%OW@31</p></td>"
	"</tr>"
	"<tr>"
	"<td><p align=\"center\">1-Wire Wert1</p></td>"
	"<td><img src=\"balke.gif\" width=\"%OW@12\"height=\"10\"></td>"
	"<td><p align=\"center\">%OW@32</p></td>"
	"</tr>\r\n"
#endif
	"</table>"
*/
	//Statusseite
	"<BR><BR> <p align=\"left\"><BR>"
	"<p><a href=\"index.htm\">Zurck</a></p><BR>\r\n"
	
	"</div>"
	"</body></html>"
	"%END"};

//----------------------------------------------------------------------------
//Status Seite
char name_Page4[] PROGMEM = "Status.htm";
PROGMEM char Page4[] = {
"<!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/loose.dtd\">"
"<html><head>"
"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\" />"

"<style type=\"text/css\">"
".style1 { font-size: small; }"
".style2 { text-align: left; }"
"</style></head>"

"<body><blockquote><blockquote><blockquote>\r\n"
/**
"<div align=\"center\"><h1>Status Page</h1></div><br>"
"<div>Compiliert "__DATE__" um " __TIME__" mit GCC Version "__VERSION__"</div>"

"<div>Besucher seit Start des Webservers (%VA@09)</div>"

"<br><br><br>"
"<p class=\"style2\"><a href=\"index.htm\">Hauptseite</a></p><br>"

"<br><br><br>"
"<p><a href=\"http://www.ulrichradig.de\">www.ulrichradig.de<br></a><br>"
"<span class=\"style1\">Ulrich Radig 2007</span>"

"</blockquote></blockquote></blockquote>"
**/
"</body></html>"
"%END"};

//----------------------------------------------------------------------------
//Das GIF Bild fr LED on
char name_led_on[] PROGMEM = "ledon.gif";
PROGMEM char led_on[] = 
	{
	0x47,0x49,0x46,0x38,0x39,0x61,0x11,0x00,0x11,0x00,0xA5,0x3F,0x00,0x4D,0x4D,0x4D,
	0x50,0x50,0x4F,0x54,0x54,0x54,0x41,0x6A,0x44,0x5C,0x5C,0x5C,0x3F,0x73,0x42,0x62,
	0x62,0x62,0x6A,0x6B,0x6B,0x16,0xA7,0x1E,0x6F,0x6F,0x6F,0x5F,0x7A,0x60,0x19,0xAD,
	0x21,0x1C,0xB2,0x25,0x56,0x94,0x59,0x7B,0x7B,0x7B,0x1A,0xBD,0x23,0x23,0xBA,0x2C,
	0x1B,0xC3,0x25,0x83,0x83,0x83,0x1C,0xCA,0x26,0x7C,0x8B,0x7D,0x1C,0xD3,0x26,0x8B,
	0x8B,0x8B,0x2D,0xCC,0x36,0x1C,0xD8,0x26,0x1D,0xDF,0x28,0x90,0x91,0x91,0x1D,0xE1,
	0x28,0x1E,0xE2,0x29,0x21,0xE2,0x2C,0x35,0xDB,0x3F,0x2E,0xE4,0x38,0x9C,0x9D,0x9D,
	0x3E,0xE6,0x47,0x40,0xE6,0x49,0xA5,0xA5,0xA5,0x47,0xE7,0x50,0x50,0xE4,0x58,0xA9,
	0xA9,0xA9,0x4E,0xE8,0x56,0xAE,0xAE,0xAD,0xAF,0xB0,0xAF,0xB0,0xB0,0xB0,0x64,0xE6,
	0x6B,0xB4,0xB4,0xB5,0xB8,0xB8,0xB9,0x6C,0xEC,0x73,0x77,0xED,0x7D,0xBF,0xC0,0xBF,
	0xC0,0xC0,0xC0,0xC2,0xC2,0xC2,0xA6,0xDA,0xA9,0xC9,0xC8,0xC9,0x93,0xF1,0x98,0xCC,
	0xCC,0xCC,0xD1,0xD1,0xD1,0xA5,0xF3,0xA9,0xD5,0xD5,0xD5,0xDE,0xDE,0xDE,0xE0,0xE0,
	0xE0,0xC5,0xF7,0xC8,0xE7,0xE7,0xE7,0xEF,0xEF,0xEF,0xFF,0xFF,0xFF,0x21,0xF9,0x04,
	0x01,0x0A,0x00,0x3F,0x00,0x2C,0x00,0x00,0x00,0x00,0x11,0x00,0x11,0x00,0x00,0x06,
	0xED,0xC0,0x9F,0x50,0xD8,0xCB,0xC9,0x54,0xA9,0x96,0x6D,0xC8,0xFC,0xF9,0x74,0x37,
	0x1A,0x8C,0x65,0x02,0x69,0x40,0xB4,0xA6,0x6F,0xA7,0x2B,0x2D,0x10,0xE0,0xC5,0x45,
	0xE2,0x68,0x0D,0x7D,0xBB,0x19,0x23,0xE2,0x09,0x7D,0x32,0x95,0xC7,0xA2,0x91,0x80,
	0x09,0x75,0x3A,0xC6,0xC5,0xF5,0x72,0x9D,0x3E,0x1B,0x15,0x13,0x0B,0x09,0x12,0x3F,
	0x3D,0x37,0x1E,0x11,0x2B,0x35,0x38,0x35,0x2E,0x22,0x1D,0x1B,0x18,0x0F,0x10,0x06,
	0x2C,0x39,0x34,0x0B,0x1E,0x2F,0x38,0x3C,0x38,0x2F,0x24,0x1D,0x1B,0x1B,0x15,0x0B,
	0x06,0x16,0x32,0x30,0x08,0x21,0x2E,0x35,0x38,0x35,0x2E,0x22,0x1C,0xA4,0x18,0x08,
	0x04,0x07,0x2A,0x2C,0x08,0x1F,0x27,0x2E,0x2F,0x2E,0x27,0x1F,0xA4,0x1B,0x19,0x08,
	0x04,0x02,0x29,0x26,0x08,0x19,0x1F,0x22,0x24,0x22,0x1F,0xC4,0x1B,0x19,0x08,0x02,
	0x06,0x2D,0x20,0x0B,0x18,0x1B,0x1D,0xDE,0xD3,0x1B,0x15,0x0B,0x02,0x12,0x36,0x1A,
	0x10,0x0F,0xE0,0xD3,0x11,0x10,0x00,0x28,0x3F,0x20,0x14,0x0B,0x13,0xEA,0x1B,0x13,
	0x0B,0x03,0x09,0x42,0x34,0x0E,0x0D,0x0B,0x0F,0x18,0x32,0x6C,0xC8,0x80,0xE1,0xC1,
	0x82,0x02,0x00,0x58,0x0C,0x69,0x91,0x40,0x01,0x84,0x05,0x60,0x10,0x2C,0x60,0x10,
	0x00,0xC0,0x08,0x26,0x3F,0x62,0x48,0x30,0x60,0x80,0x00,0x01,0x01,0x02,0x00,0x24,
	0x60,0x81,0x71,0x08,0x0B,0x0B,0x07,0x04,0x18,0x90,0x80,0x02,0x63,0x10,0x00,0x3B,
	'%','E','N','D'};
	
//----------------------------------------------------------------------------
//Das GIF Bild fr den LED off
char name_led_off[] PROGMEM = "ledoff.gif";
PROGMEM char led_off[] =
	{
	0x47,0x49,0x46,0x38,0x39,0x61,0x11,0x00,0x11,0x00,0xA5,0x3F,0x00,0x4D,0x4D,0x4D,
	0x50,0x50,0x50,0x52,0x52,0x52,0x54,0x54,0x54,0x57,0x56,0x57,0x5A,0x5A,0x59,0x5D,
	0x5D,0x5D,0x5E,0x5D,0x5D,0x5E,0x5E,0x5E,0x60,0x60,0x60,0x62,0x62,0x62,0x63,0x63,
	0x63,0x64,0x64,0x64,0x65,0x65,0x65,0x69,0x69,0x69,0x6E,0x6E,0x6E,0x70,0x70,0x70,
	0x77,0x77,0x77,0x78,0x78,0x78,0x7A,0x7A,0x7A,0x7B,0x7B,0x7B,0x7E,0x7E,0x7E,0x7F,
	0x7F,0x7F,0x80,0x80,0x80,0x81,0x81,0x81,0x83,0x83,0x83,0x87,0x87,0x87,0x89,0x89,
	0x89,0x8B,0x8B,0x8B,0x8E,0x8E,0x8E,0x90,0x91,0x91,0x91,0x91,0x92,0x93,0x93,0x93,
	0x97,0x97,0x97,0x9A,0x9A,0x9A,0x9C,0x9C,0x9C,0xA5,0xA5,0xA5,0xA9,0xA9,0xA9,0xAB,
	0xAB,0xAB,0xAC,0xAC,0xAC,0xAE,0xAE,0xAD,0xAF,0xAF,0xAF,0xAF,0xB0,0xAF,0xB0,0xB0,
	0xB0,0xB2,0xB2,0xB2,0xB4,0xB4,0xB4,0xB4,0xB4,0xB5,0xB5,0xB5,0xB5,0xB8,0xB8,0xB9,
	0xBF,0xC0,0xBF,0xBF,0xC0,0xC0,0xC0,0xC0,0xC0,0xC2,0xC2,0xC2,0xC8,0xC8,0xC8,0xC9,
	0xC9,0xC9,0xCC,0xCC,0xCC,0xD1,0xD1,0xD1,0xD5,0xD5,0xD5,0xDD,0xDD,0xDD,0xDE,0xDF,
	0xDE,0xE0,0xE0,0xE0,0xE7,0xE7,0xE7,0xEF,0xEF,0xEF,0xFF,0xFF,0xFF,0x21,0xF9,0x04,
	0x01,0x0A,0x00,0x3F,0x00,0x2C,0x00,0x00,0x00,0x00,0x11,0x00,0x11,0x00,0x00,0x06,
	0xEC,0xC0,0x9F,0x50,0xD8,0xCB,0xD1,0x56,0x2A,0xD8,0x6D,0xC8,0xFC,0xF9,0x76,0xB8,
	0x5A,0xEC,0x55,0x1A,0x79,0x46,0xB5,0xA6,0x8F,0xA7,0x13,0x35,0x10,0x06,0xC4,0x42,
	0xA3,0xA1,0xC0,0x86,0x3E,0xDE,0xCC,0x31,0xE9,0x7C,0x36,0x95,0x09,0xA4,0x11,0x81,
	0xC8,0x84,0x3B,0x9D,0xA3,0x73,0x62,0x9D,0x46,0x1B,0x16,0x16,0x12,0x0C,0x0F,0x18,
	0x3F,0x3D,0x38,0x1F,0x13,0x27,0x34,0x37,0x34,0x27,0x20,0x18,0x82,0x10,0x12,0x0A,
	0x2E,0x39,0x36,0x0D,0x1D,0x2C,0x37,0x3B,0x37,0x2C,0x21,0x19,0x82,0x13,0x0A,0x09,
	0x1C,0x34,0x31,0x08,0x1F,0x26,0x34,0x37,0x34,0x27,0x20,0x17,0x82,0x15,0x08,0x07,
	0x0E,0x2B,0x2F,0x06,0x1B,0x23,0x27,0x2C,0x27,0x23,0x1B,0x82,0x82,0x06,0x05,0x03,
	0x29,0x25,0x08,0x15,0x1B,0x20,0x21,0x20,0x1B,0xC3,0x16,0x15,0x08,0x04,0x0C,0x30,
	0x23,0x0B,0x13,0x16,0x18,0x19,0x18,0xD1,0x16,0x13,0x0A,0x02,0x19,0x37,0x1E,0x17,
	0x10,0xDF,0xD1,0x10,0x15,0x00,0x28,0x3F,0x23,0x1A,0x0D,0x12,0xE9,0x16,0x12,0x0A,
	0x01,0x0F,0x42,0x35,0x14,0x11,0x0C,0x10,0x13,0x15,0x2C,0x54,0x98,0x00,0x41,0x41,
	0x01,0x00,0x2D,0x86,0xC0,0x80,0xF0,0x40,0x82,0x02,0x04,0x06,0x10,0x28,0x78,0x10,
	0x00,0x00,0x89,0x26,0x33,0x30,0x28,0x48,0x60,0xA0,0x00,0x01,0x01,0x00,0x1E,0xB4,
	0x68,0x32,0xC4,0x05,0x07,0x07,0x03,0x18,0x64,0x40,0xD1,0x24,0x08,0x00,0x3B,
	'%','E','N','D'};
	
//----------------------------------------------------------------------------


//Nur Dateiname und Pointer eintragen	
WEBPAGE_ITEM WEBPAGE_TABLE[] PROGMEM = // Befehls-Tabelle
{
	{name_Page1,Page1},
	{name_Page4,Page4},
	{name_led_on,led_on},
	{name_led_off,led_off},
	{NULL,NULL} 
};

#endif //_WEBPAGE_H


/**
 * @}
 */






