/************************************************************************
**
**  Copyright (C) 2009  Guntmar Hche
**
**  Show BMPs on Siemens S65 Display
**
**
************************************************************************/


#include <avr/io.h>
#include <stdio.h>
#include <string.h>
#include <avr/interrupt.h>
#include <stdint.h>
#include <avr/eeprom.h>
#include <util/delay.h>

#include "s65/s65.h"
//#include "s65/f15x22.h"
#include "s65/fat.h"
#include "s65/mmc.h"



void display_init(void)
{	 MMC_Disable();
	_delay_ms(10);
  	S65_Init();
	_delay_ms(10);
  	S65_Fillscreen(0xFFE0);
	/*S65_SetFont(&f15x22[0]);
	S65_SetTextColor(0xFFFF);
	S65_SetTextTyp(0);
	S65_SetFNull(1);*/
	
	 MMC_Enable();
}
/*
void init_sd(void)
{
	//Initialisierung der MMC/SD-Karte
	//char nocard[20] = {'N','o',' ','S','D',' ','C','a','r','d',' ','f','o','u','n','d',0};
	while ( mmc_init() !=0) //ist der Rckgabewert ungleich NULL ist ein Fehler aufgetreten
		{
		//S65_PutStr(10,110, &nocard[0]);
		}	
	fat_cluster_data_store();//laden Cluster OFFSET und Size ins EEPROM
	//Initialisierung der MMC/SD-Karte ENDE!
}
*/

void disp_test(){	
	char picname[12];
	mmc_init ();	
	init_sd();	

	strcpy(picname, "17.bmp");
	S65_PutBmpFromSD(0,0, &picname[0]);

	_delay_ms(1000);

	/*S65_Fillscreen(0000);
	sei();*/
	
}
